#!/bin/sh
#limuks18.01
#this is for jwm-2.3.5 above
#make the logout_gui dissapear when esc key be pressed
cp /usr/sbin/logout_gui /usr/sbin/logout_gui~
sed -i '/<\/window/i \
 <action signal="key-press-event" condition="command_is_true([ $KEY_SYM = Escape ] && echo true )">exit:EXIT</action>' /usr/sbin/logout_gui

# setting clock tray so still can be clicked
#~ cp /root/.jwmrc-tray /root/.jwmrc-tray~
#~ sed -i 's/>PupClockset/>exec:PupClockset/' .jwmrc-tray

# change icon start menu
#~ sed -i "s/^.*Menu.*$/<TrayButton label=\"Menu\" icon=\"logolimuks\.svg\" border=\"true\">root\:3<\/TrayButton\>/" /root/.jwmrc-tray
mv /root/puppy-reference/pixmaps/puppy/{puppy,puppy-ori}.svg
mv /root/puppy-reference/pixmaps/puppy/{logolimuks,puppy}.svg

# add aerosnap
sed -i '0,/<Group>/ s/<Group>/<Group><Option>aerosnap<\/Option><\/Group>\n<Group>/' /root/.jwmrc

#show a boundary box to select a file/folder in rox
echo "
#show a boundary box to select a file/folder in rox
#edited by recobayu
style \"theme-focusku\"
{
  engine \"pixmap\" 
  {
    image 
    {
        function= FOCUS
		file    = \"puppy-reference/midi-icons/select.png\"
		border  = { 6, 6, 6, 6 }
		stretch = TRUE
    }
  }
}
widget_class \"*Collection*\" style \"theme-focusku\"
">>/root/.gtkrc.mine

#add title limuks to terminal
echo 'echo "limuks 18.01"' >> /root/.bashrc

#stickyjwm4.1
cp /root/.jwm/jwmrc-personal /root/.jwm/jwmrc-personal~
sed -i '$i<Include>/root/.jwm/stickyjwm</Include>' /root/.jwm/jwmrc-personal

#add wmctrl bin if there are no wmctrl inside puppy
if [[ `which wmctrl` == "" ]];
then
	cp /usr/bin/wmctrlku /usr/bin/wmctrl
else
	rm /usr/bin/wmctrlku
fi
jwm -restart

Xdialog --msgbox "Please choose paper icon theme (or else) and Restart X

stickyjwm-4.1
gtktheme: Adwaita, Adwaita-dark, Eucalypt, Polished-Blue, Stardust
jwmtheme: ambianceku, elcapitanku-green, elcapitanku, radianceku,
icon theme: paper

terminal theme
geany theme
shortcut for rox" 0 0
set_bg /usr/share/backgrounds/limuks-dark.svg
icon_switcher
Xdialog --msgbox "Restart X server, Please.." 0 0